Patch to work arounf flex issues with newer version of flex with some distros.
[openwrt/staging/chunkeey.git] / package / iproute2 / Makefile
index 3aa46bb..600c773 100644 (file)
@@ -15,9 +15,6 @@ PKG_RELEASE:=1
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=http://developer.osdl.org/dev/iproute2/download/
 PKG_MD5SUM:=04f57a6d366d36426d276178b600f5c5
-PKG_CAT:=zcat
-
-PKG_BUILD_DIR:=$(BUILD_DIR)/iproute2-$(PKG_VERSION)
 
 include $(INCLUDE_DIR)/package.mk
 
@@ -55,14 +52,18 @@ define Build/Compile
 endef
 
 define Package/ip/install
-       install -d -m0755 $(1)/usr/sbin
-       install -m0755 $(PKG_BUILD_DIR)/ip/ip $(1)/usr/sbin/
+       $(INSTALL_DIR) $(1)/usr/sbin
+       $(INSTALL_BIN) $(PKG_BUILD_DIR)/ip/ip $(1)/usr/sbin/
 endef
 
 define Package/tc/install
-       install -d -m0755 $(1)/usr/sbin
-       install -m0755 $(PKG_BUILD_DIR)/tc/tc $(1)/usr/sbin/
+       $(INSTALL_DIR) $(1)/usr/sbin
+       $(INSTALL_BIN) $(PKG_BUILD_DIR)/tc/tc $(1)/usr/sbin/
 endef
 
 $(eval $(call BuildPackage,ip))
 $(eval $(call BuildPackage,tc))
+
+$(eval $(call RequireCommand,bison, \
+       $(PKG_NAME) requires GNU bison. \
+))